<!-- 库存报表 -->
<template>
  <div class="rightContent">
    <div class="top">
      <SearchCommonView
        :add-title="'新建'"
        :placeholder="'请输入参考'"
        :amount-view="false"
        @addCommonClick="addBtnClick"
        @searchClick="getList"
      />
    </div>

    <div class="content_wrap">
      <div class="con_left">
        <p>类别</p>
        <el-checkbox-group v-model="checkList">
          <el-checkbox label="丝绸制品"></el-checkbox>
          <el-checkbox label="丝绸制品/家具服"></el-checkbox>
          <el-checkbox label="丝绸制品/真丝吊带"></el-checkbox>
          <el-checkbox label="丝绸制品/真丝套装"></el-checkbox>
          <el-checkbox label="丝绸制品/真丝睡袍"></el-checkbox>
          <el-checkbox label="丝绸制品/蚕丝被"></el-checkbox>
        </el-checkbox-group>
      </div>
      <div class="con_right">
        <div class="list-view">
          <TableCommonView
            ref="tableListRef"
            :table-list="tableList"
            @selTableCol="selTableCol"
            @tableRowClick="tableRowClick"
          >
            <template slot="tableButton">
              <el-table-column
                label="操作"
                width="220"
                align="center"
              >
                <template slot-scope="scope">
                  <span @click="handleHistoryClick(scope.row)">
                    <i class="el-icon-refresh-left"></i>
                    <span>历史</span>
                  </span>
                  <span @click="handleAddGoods(scope)" class="margin_left_5px">
                    <i class="el-icon-refresh"></i>
                    <span>补货</span>
                  </span>
                  <template>
                    <span
                      @click="handleLocation(scope)"
                      class="margin_left_5px"
                    >
                      <i class="el-icon-menu"></i>
                      <span>位置</span>
                    </span>
                    <span
                      @click="handleForecast(scope)"
                      class="margin_left_5px"
                    >
                      <i class="el-icon-s-data"></i>
                      <span>预测</span>
                    </span>
                  </template>
                </template>
              </el-table-column>
            </template>
          </TableCommonView>
          <div class="btn-pager">
            <PagerView
              class="page"
              :pager-options="pagerOptions"
              v-on="pagerEvents"
            />
          </div>
        </div>
      </div>
    </div>

    <!-- 编辑 dialog-->
    <AddOverviewDialog
      v-if="editConfig.visible"
      :edit-common-config="editConfig"
      :add-name="this.$route.params.name"
    />
  </div>
</template>

<script>
import pageMixin from "@/components/makepager/pager/mixin/pageMixin";
import { getProductOperatonList } from "@/api/product/product";
import AddOverviewDialog from "@/views/overview/AddOverviewDialog";

export default {
  name: "InboundOutboundDetail",
  props: {},
  components: { AddOverviewDialog },
  mixins: [pageMixin],
  computed: {},
  data() {
    return {
      checkList: [],

      testArr: [
        {
          product: "南方丝巢xxx",
          category: "丝绸制品/真丝睡袍",
          cost: "800.00",
          totalPrices: "0.00",
          inStore: "0.00",
          availableStore: "0.00",
          inStorage: "0.00",
          toStore: "0.00",
          forecast: "0.00",
          unit: "件",
        },
        {
          product: "南方丝巢12306xxx",
          category: "丝绸制品/真丝睡袍",
          cost: "9980.00",
          totalPrices: "0.00",
          inStore: "0.00",
          availableStore: "0.00",
          inStorage: "0.00",
          toStore: "0.00",
          forecast: "0.00",
          unit: "件",
        },
      ],
      tableList: {},
      showcol: ["产品类别", "单位成本", "总价值", "入库", "出库"],
      searchOptions: [],
      commonDetail: {
        visible: false,
        title: "新建",
        infomation: {},
      },
      editConfig: {
        visible: false,
        title: "新建",
        infomation: {},
      },
      productId: this.$route.params.id,
      productName: this.$route.params.name,
    };
  },
  created() {
    this.setTable();
    // this.getData();
  },
  methods: {
    setTable() {
      this.tableList = {
        tableInfomation: [],
        selectBox: true,
        showcol: this.showcol,
        allcol: [],
        tableColumn: this.setTableColumn(this.showcol),
      };
      this.tableList.tableInfomation = this.testArr;
      let allcol = [];
      for (let i = 0; i < this.tableList.tableColumn.length; i++) {
        if (!this.tableList.tableColumn[i].default) {
          const label = this.tableList.tableColumn[i].label;
          allcol.push(label);
        }
      }
      this.tableList.allcol = allcol;
    },
    setTableColumn(showcol) {
      let tableColumn = [
        {
          label: "产品",
          prop: "product",
          isShowColumn: true,
          default: true,
          width:300,
          
          // date: true, // 是否为日期格式
        },
        {
          label: "产品类别",
          prop: "category",
          isShowColumn: true,
          default: true,
          isShowColumn: showcol.includes("产品类别"),
        },
        {
          label: "单位成本",
          prop: "cost",
          isShowColumn: true,
          default: false,
          isShowColumn: showcol.includes("单位成本"),
        },
        {
          label: "总价值",
          prop: "totalPrices",
          isShowColumn: true,
          default: false,
          isShowColumn: showcol.includes("总价值"),
        },
        {
          label: "在库",
          prop: "inStore",
          isShowColumn: true,
          default: true,
        },
        {
          label: "可用库存",
          prop: "availableStore",
          isShowColumn: true,
          default: true,
        },
        {
          label: "入库",
          prop: "inStorage",
          isShowColumn: true,
          default: false,
          isShowColumn: showcol.includes("入库"),
        },
        {
          label: "出库",
          prop: "toStore",
          isShowColumn: true,
          isShowColumn: showcol.includes("出库"),
          default: false,
        },
        {
          label: "预测",
          prop: "forecast",
          isShowColumn: false,
          isShowColumn: showcol.includes("预测"),
          default: false,
        },
        {
          label: "单位",
          prop: "unit",
          isShowColumn: true,
          default: true,
          // price:true
          // status: true,
          // propType: "mulitple",
          // conversion: true,
        },
      ];
      return tableColumn;
    },
    selTableCol(val) {
      this.showcol = val;
      this.tableList.tableColumn = this.setTableColumn(val);
    },
    // 请求数据
    // async getData() {
    //   await getProductOperatonList({
    //     productId: this.productId,
    //     page: this.pagerOptions.currPage,
    //     pageSize: this.pagerOptions.pageSize,
    //   }).then((res) => {
    //     if (res.code === 200) {
    //       const list = res.data.map((item) => {
    //         return {
    //           ...item,
    //           from: item.fromLocation.name,
    //           to: item.toLocation.name,
    //           productName: this.productName,
    //         };
    //       });
    //       this.tableList.tableInfomation = list || [];
    //       this.pagerOptions.totalCount = res.total;
    //     }
    //   });
    // },
    // 搜索
    getList(val) {
      console.log(val);
    },
    // 行点击
    tableRowClick(row) {
      console.log(row);
      // this.editConfig.visible = true;
      this.editConfig.title = "查看";
      this.editConfig.infomation = { ...row };
    },
    // 新建
    addBtnClick() {
      this.editConfig.visible = true;
      this.editConfig.title = "新建";
    },
    // 状态
    getStatus(val) {
      return val === 1 ? "草稿" : val === 3 ? "就绪" : "完成";
    },
    // 历史
    handleHistoryClick(row) {
      console.log(row, "two");
    },
    // 补货
    handleAddGoods(row) {},
    // 位置
    handleLocation() {},
    // 预测
    handleForecast() {},
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
.rightContent {
  height: 100%;
  background: #e6ecf2;
  // width: 100%;
  padding: 10px;
  .top {
    margin-bottom: 20px;
    height: 60px;
    background: #fff;
    border-radius: 8px;
  }
  .content_wrap {
    height: calc(100% - 50px);
    display: flex;
    justify-content: space-between;
    .con_left {
      width: 200px;
    }
    .con_right {
      width: calc(100% - 200px);
    }
  }
}

// }
</style>
